Bug 203717 - system-config-cluster forget new resources
Summary: system-config-cluster forget new resources
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-23 13:15 UTC by Marek Grac
Modified: 2010-01-04 20:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 20:01:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marek Grac 2006-08-23 13:15:20 UTC
Description of problem:

New resources with correct XML metadata are removed when using 'Send to a cluster'

Version-Release number of selected component (if applicable):
system-config-cluster-1.0.27-1.0

How reproducible:
always

Steps to Reproduce:
1. add new correct resource to /usr/share/cluster/
2. add new resource to cluster.conf
...
<service autostart="1" domain="" name="test22">
  <ip address="192.168.79.8" monitor_link="0"/>
  <ip address="192.168.79.9" monitor_link="0"/>
  <apache name="web"/>
</service>
...
3. update system (everything works as expected)
4. run system-config-cluster; click on 'Send to a cluster'
  
Actual results:

Tag with non-standard resource (<apache>) is removed

Expected results:

Tags with non-standard resources should be ignored by system-config-cluster
(like now) but they should not be removed

Additional info:

Comment 1 Kiersten (Kerri) Anderson 2006-09-22 17:06:27 UTC
Devel ACK for 4.5

Comment 2 Jim Parsons 2006-12-12 15:39:00 UTC
This can be addressed easily, and will make it into 4.5

Comment 3 Jim Parsons 2007-02-13 16:01:13 UTC
This is fixed and checked into 4.5 branch, and will be in 4.5


Note You need to log in before you can comment on or make changes to this bug.